# invoiceTemplateCreate

Create an invoice template

**Scope required:** billing:write

For a complete list of input attributes see the [InvoiceTemplateAttributes](/developer/api-reference/types/invoicetemplateattributes.md) type

```graphql
mutation invoiceTemplateCreate ($attributes: InvoiceTemplateAttributes!) {
  invoiceTemplateCreate (attributes: $attributes) {
      errors
      invoiceTemplate {
        bankDetails
        enabled
        entityId
        footer
        hideZeroAmounts
        id
        includePaymentLink
        isDefault
        name
        pageSize
        poNumberRequired
        taxNumberLabel
        taxNumberRequired
      }
  }
}
```

## Arguments

```json
{
  "attributes": {
    "name": "",
    "footer": "",
    "bankDetails": "",
    "enabled": true,
    "isDefault": true,
    "poNumberRequired": true,
    "taxNumberRequired": true,
    "taxNumberLabel": "",
    "includePaymentLink": true,
    "hideZeroAmounts": true,
    "entityId": "456123",
    "pageSize": ""
  }
}
```

| Name       | Type                                                                                     | Description |
| ---------- | ---------------------------------------------------------------------------------------- | ----------- |
| attributes | [InvoiceTemplateAttributes](/developer/api-reference/types/invoicetemplateattributes.md) |             |

## Response

| Name            | Type                                                                 | Description |
| --------------- | -------------------------------------------------------------------- | ----------- |
| errors          | List (String)                                                        |             |
| invoiceTemplate | [InvoiceTemplate](/developer/api-reference/types/invoicetemplate.md) |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/invoicetemplatecreate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
